Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911180 - Review Request: nodejs-expect-dot-js - Behavior-driven development (BDD) style assertions for Node.js and the browser
Summary: Review Request: nodejs-expect-dot-js - Behavior-driven development (BDD) styl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2013-02-14 14:33 UTC by Jamie Nguyen
Modified: 2013-08-01 20:43 UTC (History)
3 users (show)

Fixed In Version: nodejs-expect-dot-js-0.2.0-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-17 21:30:44 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 14:33:35 UTC
Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-expect.js.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-expect-js-0.2.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
Behaviour-driven development (BDD) style assertions for Node.js and the browser.

Comment 3 Tom Hughes 2013-05-28 20:20:49 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== Issues =====

[!]: Package contains no bundled libraries without FPC exception.

expect.js has two functions copied from node core:

- i taken from the util module
- eql taken from the assert module

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-expect-js-0.2.0-3.fc20.noarch.rpm
nodejs-expect-js.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-expect-js
nodejs-expect-js.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-expect-js (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-expect-js:
    nodejs-expect-js
    npm(expect.js)



Source checksums
----------------
http://registry.npmjs.org/expect.js/-/expect.js-0.2.0.tgz :
  CHECKSUM(SHA256) this package     : 24c8ededf990485f6101cbf698729c7533472c21d5104066297ec2f6aae46ad5
  CHECKSUM(SHA256) upstream package : 24c8ededf990485f6101cbf698729c7533472c21d5104066297ec2f6aae46ad5


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 911180

Comment 4 Jamie Nguyen 2013-05-29 15:49:26 UTC
Well spotted! Bundling exception ticket opened:

https://fedorahosted.org/fpc/ticket/297

Comment 5 Jamie Nguyen 2013-06-20 18:18:55 UTC
Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-expect-dot-js.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-expect-dot-js-0.2.0-4.fc19.src.rpm

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-4
- rename from nodejs-expect-js to nodejs-expect-dot-js
- add %%check, including patches to fix failing tests

Comment 6 Tom Hughes 2013-07-11 17:39:16 UTC
Bundling exception is now approved. There a are a few updates need to reflect the latest packaging guidelines (ExclusiveArch, nodejs-packaging and %nodejs_symlink_deps --check) but if that is done then this is good to go.

Comment 7 Jamie Nguyen 2013-07-11 18:28:42 UTC
Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-expect-dot-js.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-expect-dot-js-0.2.0-5.fc19.src.rpm

* Thu Jul 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-5
- add ExclusiveArch macro
- use "nodejs_symlink_deps --check"

Comment 8 Jamie Nguyen 2013-07-11 18:29:29 UTC
New Package SCM Request
=======================
Package Name: nodejs-expect-dot-js
Short Description: Behavior-driven development (BDD) style assertions for Node.js and the browser
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 9 Gwyn Ciesla 2013-07-11 18:34:12 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-07-11 19:44:16 UTC
nodejs-expect-dot-js-0.2.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-expect-dot-js-0.2.0-5.fc19

Comment 11 Fedora Update System 2013-07-11 19:45:37 UTC
nodejs-expect-dot-js-0.2.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-expect-dot-js-0.2.0-5.fc18

Comment 12 Fedora Update System 2013-07-11 19:52:55 UTC
nodejs-expect-dot-js-0.2.0-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-expect-dot-js-0.2.0-5.el6

Comment 13 Fedora Update System 2013-07-12 19:41:28 UTC
nodejs-expect-dot-js-0.2.0-5.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2013-07-22 00:38:15 UTC
nodejs-expect-dot-js-0.2.0-5.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-07-22 00:39:22 UTC
nodejs-expect-dot-js-0.2.0-5.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-08-01 20:43:56 UTC
nodejs-expect-dot-js-0.2.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.